/*
 * vmbypid.d - print vminfo events by process. DTrace.
 *
 * $Id: vmbypid.d 8 2007-08-06 05:55:26Z brendan $
 *
 * USAGE:	vmbypid.d
 *
 * FIELDS:
 *		EXEC	Process name
 *		PID	Process ID
 * 		VM	Virtual Memory statistic (/usr/include/sys/sysinfo.h)
 *		VALUE	Value by which statistic was incremented
 *
 * The virtual memory statistics are documented in the cpu_vminfo struct
 * in the /usr/include/sys/sysinfo.h file; and also in the vminfo provider
 * chapter of the DTrace Guide, http://docs.sun.com/db/doc/817-6223.
 *
 * COPYRIGHT: Copyright (c) 2005 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 14-May-2005	Brendan Gregg	Created this.
 * 20-Apr-2006	   "      "	Last update.
 * 29-Aug-2008	Tom Erickson	Adapted for use with Chime.
 */
 
/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

vminfo:::
/ pid != $pid /
{
 	@VM[execname, pid, probename] = sum(arg0);
}
